Summary:	X Input extension library
Summary(pl.UTF-8):	Biblioteka rozszerzenia X Input
Name:		xorg-lib-libXi
Version:	1.7.9
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	https://xorg.freedesktop.org/releases/individual/lib/libXi-%{version}.tar.bz2
# Source0-md5:	1f0f2719c020655a60aee334ddd26d67
Patch0:		%{name}-man.patch
URL:		https://xorg.freedesktop.org/
BuildRequires:	asciidoc >= 8.4.5
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	docbook-dtd412-xml
BuildRequires:	docbook-dtd43-xml
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xmlto >= 0.0.22
BuildRequires:	xorg-lib-libX11-devel >= 1.6
BuildRequires:	xorg-lib-libXext-devel >= 1:1.0.99.1
# only for typedef
BuildRequires:	xorg-lib-libXfixes-devel >= 5
BuildRequires:	xorg-proto-inputproto-devel >= 2.3
BuildRequires:	xorg-proto-xextproto-devel >= 7.0.3
BuildRequires:	xorg-proto-xproto-devel >= 7.0.13
BuildRequires:	xorg-sgml-doctools >= 1.8
BuildRequires:	xorg-util-util-macros >= 1.12
Requires:	xorg-lib-libX11 >= 1.6
Requires:	xorg-lib-libXext >= 1:1.0.99.1
Obsoletes:	libXi
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X Input extension library.

%description -l pl.UTF-8
Biblioteka rozszerzenia X Input.

%package devel
Summary:	Header files for libXi library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXi
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libX11-devel >= 1.6
Requires:	xorg-lib-libXext-devel >= 1:1.0.99.1
Requires:	xorg-proto-inputproto-devel >= 2.3
Requires:	xorg-proto-xextproto-devel >= 7.0.3
Requires:	xorg-proto-xproto-devel >= 7.0.13
Obsoletes:	libXi-devel

%description devel
X Input extension library.

This package contains the header files needed to develop programs that
use libXi.

%description devel -l pl.UTF-8
Biblioteka rozszerzenia X Input.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXi.

%package static
Summary:	Static libXi library
Summary(pl.UTF-8):	Biblioteka statyczna libXi
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libXi-static

%description static
X Input extension library.

This package contains the static libXft library.

%description static -l pl.UTF-8
Biblioteka rozszerzenia X Input.

Pakiet zawiera statyczną bibliotekę libXft.

%prep
%setup -q -n libXi-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--without-fop
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

# (HTML version) packaged as %doc
%{__rm} $RPM_BUILD_ROOT%{_docdir}/libXi/inputlib.*
# XML source
%{__rm} $RPM_BUILD_ROOT%{_docdir}/libXi/*.xml

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libXi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXi.so.6

%files devel
%defattr(644,root,root,755)
%doc specs/inputlib.html
%attr(755,root,root) %{_libdir}/libXi.so
%{_libdir}/libXi.la
%{_pkgconfigdir}/xi.pc
%{_includedir}/X11/extensions/XInput*.h
%{_mandir}/man3/X*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXi.a
%changelog
* Mon Jan 23 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-lib-libXi.git;a=log;h=master

* Mon Jan 23 2017 Jakub Bogusz <qboosh@pld-linux.org> bddfe77
- updated to 1.7.9

* Wed Oct 26 2016 Jakub Bogusz <qboosh@pld-linux.org> b0ad765
- updated to 1.7.8

* Wed Oct 05 2016 Jakub Bogusz <qboosh@pld-linux.org> 9de2517
- updated to 1.7.7

* Tue Dec 22 2015 Jakub Bogusz <qboosh@pld-linux.org> 6f9c253
- updated to 1.7.6
- explicitly disable fop as we don't package PDF docs anyway

* Thu Sep 10 2015 Jakub Bogusz <qboosh@pld-linux.org> 4983253
- updated to 1.7.5

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> a1c081c
- x32 rebuild
- release 2 (by relup.sh)

* Fri Jul 18 2014 Jakub Bogusz <qboosh@pld-linux.org> 800768e
- updated to 1.7.4

* Thu Jul 10 2014 Jakub Bogusz <qboosh@pld-linux.org> 2b1cadb
- updated to 1.7.3

* Wed Jul 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> a318823
- up to 1.7.2; fixes CVE-2013-1998, CVE-2013-1984 and CVE-2013-1995

* Sat May 25 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 516cd7e
- Add patch to fix man page links. Release 2

* Fri Apr 05 2013 Jakub Bogusz <qboosh@pld-linux.org> 62a2c9f
- BR: libXfixes-devel (for one typedef)

* Fri Apr 05 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ae3f8c4
- up to 1.7.1

* Thu Mar 07 2013 Jakub Bogusz <qboosh@pld-linux.org> 38df4e7
- versioned xextproto devel dependency

* Thu Mar 07 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 732f89a
- up to 1.7

* Thu Jan 17 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> db0477f
- up to 1.6.2

* Tue May 08 2012 Jakub Bogusz <qboosh@pld-linux.org> fca3ff0
- updated inputproto version

* Thu May 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 8d2dbf3
- up to 1.6.1

* Wed Dec 21 2011 Jakub Bogusz <qboosh@pld-linux.org> f344c57
- updated xmlto,xorg-sgml-doctools,util-macros versions
- added versioned runtime dependency on libXext

* Wed Dec 21 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> b7e7cda
- up to 1.5.0

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2ff6c3b
- up to 1.4.5

